#
# spec file for package love-0_7_2
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           love-0_7_2
Version:        0.7.2
Release:        4.1
Summary:        2D gaming engine written in Lua
License:        Zlib
Group:          Development/Languages/Other
Url:            http://love2d.org/

Source:         https://bitbucket.org/rude/love/downloads/love-0.7.2-linux-src.tar.gz
Patch1:         love-modplug.patch
Patch2:         love-remove-mpg123.patch
Patch3:         freetype.diff
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libmng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  lua51-devel
BuildRequires:  physfs-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(IL)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(vorbisfile)
%if %{with mpg123}
BuildRequires:  pkgconfig(libmpg123)
%endif

%description
LÖVE is a framework for making 2D games in Lua.

%prep
%setup -qn love-HEAD
%patch -P 1 -P 2 -P 3 -p1

%build
sed -i 's/\r$//' *.txt
rm -f src/modules/sound/lullaby/Mpg123Decoder.{cpp,h}
mv configure.{in,ac}
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
b="%buildroot";
make install DESTDIR="$b"
mv "$b/%_bindir"/love{,-0.7.2}

%files
%defattr(-,root,root)
%doc changes.txt license.txt readme.txt
%_bindir/love-0.7.2

%changelog
* Tue Sep 13 2011 jmatejek@suse.com
- build fix - added devel dependencies for DevIL
- standard group name
* Wed Jun 22 2011 prusnak@opensuse.org
- created package (version 0.7.2)
